Subject: [bug#32256] [PATCH] gnu: Add nudoku.

From: Kei Kebreau <[email-masked]>
Date: Fri, 17 Aug 2018 03:44:13 -0400

Tobias Geerinckx-Rice <[email-masked]> writes:

> Kei,
>
> Just an aside on this important matter.
>
> Kei Kebreau wrote:
>>> +    (description "nudoku is a ncurses based sudoku game.")
>>
>> I'd use "@code{nudoku}" here because it's the name of a program.
>
> While there's some precedent in Guix for using @code{} for marking up
> package names when they'll be used mainly in actual source code
> (e.g. @code{My::Perl::Module}), that's a specific case with a specific
> rationale.
>
> A more suitable tag here would be @command{}. However, there seems to
> be an informal(?) consensus not to use it when talking about the
> package as a whole/project, but only when referring to the actual
> command (binary) itself. Some descriptions don't follow that
> convention, though, so it's at best a grey area.
>
> I don't think programme names should be marked up all purdy just for
> being programmes.
>
> Kind regards,
>
> T G-R

Alright. Hopefully I'll pick up more on these hints as I read more
documentation source code.